Get a fixed nature
curl --request GET \
--url https://{host}/remuneration/api/fixed-natures/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/remuneration/api/fixed-natures/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/remuneration/api/fixed-natures/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "Basic salary",
"category": {
"id": 123,
"code": "BASIC_SALARY"
},
"establishments": [
{
"id": 123,
"name": "Lucca FR",
"currencyCode": "EUR",
"currencySymbol": "€"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Fixed-natures
Get a fixed nature
Retrieve a single fixed nature from its identifier
GET
/
remuneration
/
api
/
fixed-natures
/
{id}
Get a fixed nature
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Path Parameters
The id of the nature
Response
OK
Fixed nature
Was this page helpful?
⌘I